### Method

# Handy Avatar set_loadable_icon

since: 1.2

#### Declaration [src]

    void
    hdy_avatar_set_loadable_icon (
      HdyAvatar* self,
      GLoadableIcon* icon
    )

#### Description [src]

Sets the `GLoadableIcon` to use as an avatar.

The previous avatar is displayed till the new avatar is loaded, to immediately remove the custom avatar set the loadable-icon to `NULL`.

The `GLoadableIcon` set via this function is preferred over a set `HdyAvatarImageLoadFunc`.

Available since: 1.2

Sets property | `Handy.Avatar:loadable-icon`

#### Parameters

`icon`

  Type: `GLoadableIcon`

  A `GLoadableIcon`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.